summaryrefslogtreecommitdiff
path: root/kvm-get.sh
diff options
context:
space:
mode:
authorNeil Williams <codehelp@debian.org>2013-08-09 13:55:28 +0100
committerNeil Williams <codehelp@debian.org>2013-08-09 13:55:28 +0100
commit57f585025ae4d84ccd92783881b591a3783b4351 (patch)
tree6e8e20162fc470dc56802f89c02bb1e12366466d /kvm-get.sh
parent2f5cae3b6282ea6bdf6fdc2cf1b5e64c2b2401a1 (diff)
add a script to receive the file from any device in the group which is not a kvm.
Diffstat (limited to 'kvm-get.sh')
-rwxr-xr-xkvm-get.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/kvm-get.sh b/kvm-get.sh
new file mode 100755
index 0000000..bf3a702
--- /dev/null
+++ b/kvm-get.sh
@@ -0,0 +1,8 @@
+#1/bin/sh
+
+set -e
+set -x
+
+DEVICE=`lava-group | grep -m1 -v kvm`
+SOURCE=`lava-network query $DEVICE ipv4`
+wget -O /var/www/testfile http://${SOURCE}/testfile